Name:           qtpass
Version:        1.4.0
Release:        %mkrel 1
Summary:        Cross-platform GUI for pass
License:        GPLv3
Group:          Security
URL:            https://qtpass.org/
Source0:        https://github.com/IJHack/qtpass/archive/v%{version}/qtpass-%{version}.tar.gz

BuildRequires:  desktop-file-utils
BuildRequires:  cmake(Qt6Core)
BuildRequires:  cmake(Qt6Gui)
BuildRequires:  cmake(Qt6Network)
BuildRequires:  cmake(Qt6Svg)
BuildRequires:  cmake(Qt6Test)
BuildRequires:  cmake(Qt6Widgets)
BuildRequires:  qttools6
# for ownership of hicolor directories
Requires:       hicolor-icon-theme
Requires:       pass
Recommends:     git
Recommends:     gpg2
Recommends:     pwgen

%description
QtPass is a cross-platform GUI for pass, the standard Unix password manager.

%prep
%autosetup -n QtPass-%{version}

sed -i "s|#include <QDir>|#include <QDir>\n#if QT_VERSION >= QT_VERSION_CHECK(6, 0, 0)\n#include <QStringDecoder>\n#endif|" src/executor.cpp

%build
%qmake_qt6 PREFIX=%{_prefix}
%make_build

%install
%make_install INSTALL_ROOT=%{buildroot}

desktop-file-install %{name}.desktop
install -Dpm 644 artwork/icon.svg %{buildroot}%{_iconsdir}/hicolor/scalable/apps/qtpass-icon.svg
install -Dpm 644 %{name}.appdata.xml %{buildroot}%{_metainfodir}/%{name}.appdata.xml
install -Dpm 644 %{name}.1 %{buildroot}%{_mandir}/man1/%{name}.1

rm -f %{buildroot}/%{_libdir}/qt5/tests/qtpass/util/tst_util

%files
%doc README.md
%license LICENSE
%{_bindir}/qtpass
%{_datadir}/applications/%{name}.desktop
%{_metainfodir}/%{name}.appdata.xml
%{_iconsdir}/hicolor/scalable/apps/%{name}-icon.svg
%{_mandir}/man1/%{name}.1*


%changelog
* Tue Oct 24 2023 daviddavid <daviddavid> 1.4.0-1.mga10
+ Revision: 2000769
- new version: 1.4.0
- switch to Qt6

* Mon Apr 04 2022 umeabot <umeabot> 1.3.2-4.mga9
+ Revision: 1843333
- Mageia 9 Mass Rebuild

* Thu Dec 17 2020 umeabot <umeabot> 1.3.2-3.mga8
+ Revision: 1659637
- Rebuild for new Qt5

* Mon Feb 17 2020 umeabot <umeabot> 1.3.2-2.mga8
+ Revision: 1537117
- Mageia 8 Mass Rebuild

* Sat Oct 26 2019 daviddavid <daviddavid> 1.3.2-1.mga8
+ Revision: 1455842
- new version: 1.3.2
- split out all Qt5 BRs

* Mon Apr 01 2019 umeabot <umeabot> 1.2.3-3.mga7
+ Revision: 1384467
- Qt5 Rebuild

* Sun Sep 23 2018 umeabot <umeabot> 1.2.3-2.mga7
+ Revision: 1300716
- Mageia 7 Mass Rebuild

* Thu Jun 07 2018 buchan <buchan> 1.2.3-1.mga7
+ Revision: 1235251
- New version 1.2.3

* Thu Feb 08 2018 buchan <buchan> 1.2.1-1.mga7
+ Revision: 1199786
- New version 1.2.1

* Sun Jun 04 2017 buchan <buchan> 1.1.6-1.mga6
+ Revision: 1106525
- imported package qtpass

